Zum Inhalt springen
Bpanda
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all units using a role.

List all units using a role. Get organizational units using this organizational role. These are units with a non empty intersection of unit users (responsible, deputy, member) with the users of this organizational role. In addition return all organizational units having this role explicitly assigned.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/orgstructure/roles/{roleId}/unitids
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

roleIdstringrequired

ID of the organizational role

Responses
200

List of organizational unit ids.

Array of string
string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure/roles/string/unitids' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
[
  "string"
]